sasl_errstring(10 July 2001)

NAME
sasl_errstring - Translate a SASL return code to a human-readable form

SYNOPSIS
#include <sasl/sasl.h>

const char * sasl_errsring(int saslerr,
			        const char * langlist,
			        const char ** outlang);

DESCRIPTION

sasl_usererr is called to convert a SASL return code (an integer) into a human readable string. At this time the only language available is american english written by programmers (aka gobldygoop). Note that a server should call sasl_usererr on a return code first if the string is going to be sent to the client.

It should be noted that this function is not the recommended means of extracting error code information from SASL, instead application should use sasl_errdetail(3), which contains this information (and more)

RETURN VALUE
Returns the string.

CONFORMING TO
RFC 2222

SEE ALSO
sasl(3), sasl_errdetail(3), sasl_errors(3)